TAAS - Feature #96

Quotation/Enquiry List
11/08/2022 01:51 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 12/10/2022
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 24.00 Code Reviewed By:

Module: Quotation/Enquiry List

Description

Coding Quotation/Enquiry List

History

#1 - 11/14/2022 12:24 PM - Anil KV
- Assignee changed from Anil KV to Junaid M

#2 - 11/18/2022 10:42 AM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

1) Ul Change :- Remove Sale customer widget.

#3 - 11/24/2022 12:05 PM - Anil KV
- Assignee changed from Junaid M to Christy Saint

#4 - 12/12/2022 10:01 AM - Christy Saint

- Status changed from Open to Coding Started

- Start date changed from 11/08/2022 to 12/10/2022
- % Done changed from 10 to 40

#5 - 12/13/2022 07:29 PM - Christy Saint

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 24.00

#6 - 12/14/2022 03:46 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET VALIDATION ON DATE PICKER
2.ALLIGN DROP DOWN LABEL TOGGLE
3.SET MANDATORY FIELDS RED AND REQUIRED

#7 - 02/07/2023 12:00 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#8 - 02/08/2023 04:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX BUGS ON DATE PICKER

(SET RANGE BETWEEN FROM & TO DATES, SET PROPER VALIDATIONS FOR SEARCH)

2.DONT COLLAPSE DIV. WHILE SEARCH
3.FIX ERRORS ON PHN & EMAIL INPUT BOX
(REMOVE 1&2)

#9 - 02/09/2023 05:59 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#10 - 02/10/2023 03:22 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX BUGS ON DATE PICKER
(NOT WORKING PROPERLY WHILE SEARCH)

#11 - 04/11/2023 12:56 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 04/12/2023 04:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Displaying previous day results

2.Prevent duplication on grid

3.fix bugs on search button

(grid show & hide while tap on search button)

#13 - 05/02/2023 02:22 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 05/03/2023 05:44 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1. Add page numberinformation at the bottom of list
(TOTAL PAGE COUNT AND CURRENT PAGE NUMBER)
eg: page 1 of 100

2.Set defaults on GUI

(Branch , Department)
#15 - 05/05/2023 06:39 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 07/07/2023 07:18 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Set defaults on Branch & Department

2.Set CODE:: NAME alignment on Responsible Employee auto completion box

3.Set validations on Date Pickers - Update Search filters
(Only one date is required From / To)

#17 - 07/25/2023 06:54 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 10/16/2023 06:36 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD NO DATA POP UP

2.CANT SEARCH WISE CUSTOMER
3.ADD NEW TAB BUTTON

4.ADD PRINT

#19 - 10/17/2023 04:20 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#20 - 10/18/2023 12:50 PM - unnikannan S
TESTING DONE

#21 - 10/26/2023 10:24 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NOT WORKING FILTERS RESPONSIBLE EMPLOYEE,ACCOUNT,USER
2.SHOWING DETAILS WITHOUT VALIDATE DATAS IN FILTERS

#22 - 11/01/2023 09:19 PM - Junaid M

- Assignee changed from Christy Saint to Abhiram Venu

#23 - 11/10/2023 10:26 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#24 - 11/14/2023 11:51 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 11/30/2023 02:50 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NO DATA IN QUOTATION/ENQUIRY WHILE CHOOSING EDIT MODE FROM LIST

#26 - 11/30/2023 05:19 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 11/30/2023 06:28 PM - unnikannan S
TESTING DONE

#28 - 01/31/2024 12:43 PM - Junaid M
- Assignee changed from Shabhil Haris to Vivekp V

#29 - 09/11/2024 02:43 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#30 - 09/24/2024 03:00 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#31 - 09/24/2024 03:03 PM - Arathy PS
- Status changed from Reopen Bugs to Testing Done

- % Done changed from 50 to 90

#32 - 11/09/2024 10:58 AM - Junaid M

- Status changed from Testing Done to New Changes
- Assignee changed from Vivekp V to Nawal Sidique
- % Done changed from 90 to 50

New Changes

1. Add "Enquiry Type" Mcb widget in search Filter. Options -> Normal Enquiry, Corporate User Enquiry
Db field added in quotation master => sin_corporate_user_quotation

#33 - 11/15/2024 06:11 PM - Nawal Sidique
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#34 - 11/25/2024 04:39 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Issue while selecting the status filter. - FIXED

2. Customer not loading on focus out after entering the code.- FIXED

3. Add an additional field 'Responsible staff' on the responsible user field. - FIXED

4. In the print reduce the column length of doc.no and phone no: a bit and increase the column length of status. FIXED

#35 - 11/28/2024 02:58 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 12/03/2024 11:28 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)RESPONSIBLE STAFF FILTER IS NOT WORKING - FIXED
2)DROPDOWN OF RESPONSIBLE STAFF IS ENABLE AFTER SEARCH - FIXED
3)DROPDOWN OF PHONE IS ENABLE AFTER SEARCH - FIXED

#37 - 12/04/2024 02:43 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 12/05/2024 05:25 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)IF THE FROM DATE IS TODAYS DATE OR PREVIOUS DATE SET THE TO DATE AS TODAYS DATE - FIXED

#39 - 12/06/2024 12:09 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 12/06/2024 12:44 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.ts 1.95 KB 11/18/2022 Junaid M
1-CsModel.cs 2.45 KB 11/18/2022 Junaid M
3-CsFile.cs 4.37 KB 11/18/2022 Junaid M
4-CsControllerFile.cs 16.5 KB 11/18/2022 Junaid M
6-HtmlFile.html 1.94 KB 11/18/2022 Junaid M
5-TsFile.ts 14.2 KB 11/18/2022 Junaid M
sql.sql 4.82 KB 11/18/2022 Junaid M

05/04/2025 5/5


http://www.tcpdf.org

